#include "partition.h"
#include <bits/stdc++.h>

using namespace std;

const long long inf = 1e18;

vector<int> solve(vector<int> A) {
    vector<pair<int, int>> B;
    for (int i = 0; i < (int)A.size(); ++i) {
        B.push_back({A[i], i});
    }

    sort(B.rbegin(), B.rend());

    vector<int> C;
    for (int i = 0; i < (int)B.size(); ++i) {
        C.push_back(B[i].second);
    }
//    long long s = 0;
//
//    int n = A.size();
//    for (int i = 0; i < n; ++i) {
//        s += A[i];
//    }
//
//    vector<int> a = A;
//    sort(a.begin(), a.end());
//
//    long long bval = inf;
//    vector<vector<int>> best;
//
//    do {
//        long long tot = 0;
//        for (int i = 0; i < a.size(); ++i) {
//            tot += a[i];
//            if ((s + 1) / 2 <= tot) {
//                break;
//            }
//        }
//
//        long long cur = abs(2ll * tot - s);
//        if (cur == bval) {
//            best.push_back(a);
//        } else {
//            bval = cur;
//            best.clear();
//            best.push_back(a);
//        }
//    } while (next_permutation(a.begin(), a.end()));
//
//
//    cout << bval << "\n";
//    for (auto& b: best) {
//        for (auto& x: b) {
//            cout << x << " ";
//        }
//        cout << "\n";
//    }

    return C;
}
